AOZ Studio Beta - Bug #1046

Using Volume <n> just hangs now again.
01/07/2023 10:47 PM - malcolm harvey

Status: Closed Start date: 01/08/2023
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0 (u38)

Description

V1 U37 rel. Using Volume just hangs, wont change vol either again.
This is the same as the old ticket 842. Amiga manifest or aoz.
Francois originally fixed this in both manifests.

History

#1 - 01/16/2023 01:02 PM - malcolm harvey
- Affected version changed from 1.0.0 (B17) to 1.0 (u38)

#2 - 01/18/2023 04:51 PM - Francois Lionet

- Status changed from New to In Progress
Cannot reproduce. Can you send me code that demonstrates the problem?

#3 - 01/18/2023 11:06 PM - malcolm harvey

#manifest: "amiga"

For L=0 To 63

Volume L : Bell 80 : Wait 5
Next L

#4 - 01/18/2023 11:28 PM - malcolm harvey

- File volume error.png added

It used it like this eg: Volume 9 it comes up with this error now.
| thought originally you could specify Volume 0-63 should work.

#5 - 01/18/2023 11:38 PM - malcolm harvey

The other thing | found using Volume now is that ok even if it did work and continue onto the next line, no vol change occurred.

#6 - 01/19/2023 12:44 AM - Francois Lionet

This code works fine on my machine.... argh.

#7 - 01/19/2023 01:36 AM - malcolm harvey

ok, ill txt again today and get back on this..

#8 - 01/19/2023 09:37 AM - malcolm harvey

Ok yes again, it seams now in amiga mode this is working ok. Again, may have been and update in u38 now fixed it. (Amiga mode).

Note: It does not work in a0z mode, it will get (lllegal function call if you try), as | think tho this would be right as its designed for voices num as well
and without one it will crash. ie: If you put in a voice anything eg : Volume 20,1 it wont crash in aoz mode but it will do nothing. You cant use Volume
20 alone is aoz mode. You will get illegal function call.

So it not really designed for aoz mode at all). Should be noted this way.

Note: If it is possible to work in aoz mode as well that would be good, but not important as again, aoz mode uses Volume audio func instead.
#9 - 05/08/2023 11:53 PM - malcolm harvey

So just to recap again, in Amiga mode, using eg: Volume being 0-63 works.
Volume Ivl it seams in Aoz mode is using floats Volume being 0.0-0.9 works.
#10 - 05/09/2023 12:50 AM - malcolm harvey

Case closed.

#11 - 05/09/2023 11:08 PM - David Baldwin

- Status changed from In Progress to Closed
